%define upstream_name    Config-MVP-Reader-INI
%define upstream_version 2.101465

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Multi-value capable .ini file reader (for plugins)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::MVP) >= 2.0.0
BuildRequires: perl(Config::MVP::Reader)
BuildRequires: perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The MVP INI file reader reads INI files, but can handle properties with
multiple values. The identification of properties that may have multiple
entries is done by section, on a plugin basis. For example, given the
following file:

  [Foo::Bar]
  x = 1
  y = 2
  y = 3

MVP will, upon reaching this section, load Foo::Bar and call a method (by
default 'multivalue_args') on it, to determine which property names may
have multiple entries. If the return value of that method includes 'y',
then the entry for 'y' in the Foo::Bar section will be an arrayref with two
values. If the list returned by 'multivalue_args' did not contain 'y', then
an exception would be raised while reading this section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.101.465-2.mga10
+ Revision: 2217092
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 2.101.465-1.mga9
+ Revision: 1928975
- update to 2.101465

* Mon Mar 21 2022 umeabot <umeabot> 2.101.464-2.mga9
+ Revision: 1814727
- Mageia 9 Mass Rebuild

* Mon Jul 05 2021 tv <tv> 2.101.464-1.mga9
+ Revision: 1734780
- update to 2.101464

* Wed Feb 12 2020 umeabot <umeabot> 2.101.463-8.mga8
+ Revision: 1493577
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.101.463-7.mga7
+ Revision: 1266590
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.101.463-6.mga6
+ Revision: 1024307
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.101.463-5.mga6
+ Revision: 947011
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.101.463-4.mga5
+ Revision: 740833
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.101.463-3.mga5
+ Revision: 732956
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.101.463-2.mga5
+ Revision: 683987
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 2.101.463-1.mga5
+ Revision: 641843
- update to 2.101463

* Mon Oct 21 2013 umeabot <umeabot> 2.101.462-2.mga4
+ Revision: 537000
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.101.462-1.mga4
+ Revision: 486144
- update to 2.101462

* Sun Jan 13 2013 umeabot <umeabot> 2.101.461-3.mga3
+ Revision: 364679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.101.461-2.mga1
+ Revision: 29142
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.101.461-1.mga1
+ Revision: 29109
- mageia rebuild
- imported package perl-Config-MVP-Reader-INI

